# Eneroth Relative Top View

# Copyright Julia Christina Eneroth, eneroth3@gmail.com

# Usage
#	  Menu: Camera
#		  Eneroth Relative Top View:
#       Like Sketchup's native Top View but has the same relation to the
#       previous view as Top View has to Front View.
#
# Before running this script the view is typically aligned to a face
# (e.g. facade) or a section plane by right clicking in at select Align View.

# Load support files.
require "sketchup.rb"
require "extensions.rb"

module EneRelativeTop

AUTHOR      = "Julia Christina Eneroth"
CONTACT     = "#{AUTHOR} at eneroth3@gmail.com"
COPYRIGHT   = "#{AUTHOR} #{Time.now.year}"
DESCRIPTION =
  "Like Sketchup's native Top View but has the same relation to the previous "\
  "view as Top View has to Front View. Useful to set plan views that are "\
  "aligned to a building or other content instead of having north up."
ID          =  File.basename __FILE__, ".rb"
NAME        = "Eneroth Relative Top View"
VERSION     = "1.0.0"

PLUGIN_ROOT = File.expand_path(File.dirname(__FILE__))
PLUGIN_DIR  = File.join PLUGIN_ROOT, ID

ex = SketchupExtension.new(NAME, File.join(PLUGIN_DIR, "main"))
ex.description = DESCRIPTION
ex.version     = VERSION
ex.copyright   = COPYRIGHT
ex.creator     = AUTHOR
Sketchup.register_extension ex, true

end
