# Eneroth Relative Top View

# Copyright Julia Christina Eneroth, eneroth3@gmail.com
module EneRelativeTop

def self.relative_top

  view = Sketchup.active_model.active_view
  cam = view.camera
  up = cam.target - cam.eye
  
  # Use built in top view to handle repositioning of camera eye.
  # Why reinvent the wheel?
  Sketchup.send_action "viewTop:"
  
  # Zero timer is needed for camera to move.
  UI.start_timer(0, false) { cam.set cam.eye, cam.target, up }
  
end

file = __FILE__
unless file_loaded? file

  # Menu
  menu = UI.menu("Camera")
  #menu = menu.submenu("Standard Views")# TODO: add to existing sub menu instead.
  menu.add_item(NAME) { relative_top }
  file_loaded file

end

end
